<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.undertow.application-security-domain" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="enable-jacc,enable-jaspi,http-authentication-factory,integrated-jaspi,override-deployment-config,security-domain"/>
        <elem name="addr-params" value="profile,subsystem,application-security-domain"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.undertow.application-security-domain.$application-security-domain"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.security-domain.$security-domain" optional="true"/>
        <capability name="$profile.org.wildfly.security.http-authentication-factory.$http-authentication-factory" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="application-security-domain" feature-id="true"/>
        <param name="security-domain" nillable="true" stability="default"/>
        <param name="enable-jacc" nillable="true" stability="default"/>
        <param name="http-authentication-factory" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="enable-jaspi" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="override-deployment-config" nillable="true" stability="default"/>
        <param name="integrated-jaspi" nillable="true" stability="default"/>
    </params>
</feature-spec>